# ACQUIRER_TOPUP_PAYMENT_FAILED

A customer attempted an Instant Top-Up but the payment failed (e.g., because the payment method used did not have sufficient funds). The customer may re-attempt the Top-Up with the same payment method or use a different one.

Endpoint: POST acquirer_topup_payment_failed
Version: 1.0

## Request fields (application/json):

  - `id` (string)
    The ID of the Top-Up that failed.
    Example: "b76cdcc321d345618084feedc47bbb1d"

  - `account_id` (string)
    ID of the customer account associated with the failed Top-Up transaction.
    Example: "adc123a45d6d7cf8fbfeed537ba919d5cacc"

  - `amount` (object)
    The amount of the Top-Up.

  - `amount.value` (integer)
    The amount in Euro cents.
    Example: 10000

  - `amount.currency` (string)
    The currency of the Top-Up.
    Enum: "EUR"

  - `client_secret` (string)
    The client secret key provided by the Acquirer's API for use in their frontend SDK.
    Example: "pi_1DrPlP2eZvKYlo2CSBQ7uqFH_secret_o1A7UsYFLWeGISUD1QYNkT8IU"

  - `status` (string)
    The current status of the Top-Up.
    Enum: "ACCEPTED", "CONFIRMED", "EXECUTED", "DECLINED", "CANCELLED"

  - `acquirer_error_code` (string,null)
    Error code forwarded by the Acquirer's API (in case there was an error on the Acquirer's end).
    Example: "card_declined"

  - `acquirer_decline_code` (string,null)
    If the Acquirer declines the Top-Up, then this property will contain the decline code forwarded by the Acquirer's API.
    Example: "exceeds daily limit"


## Response 200 fields
